Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" plugin
Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" plugin [message #913043] Fri, 14 September 2012 16:45 Go to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
With Juno 4.2.0 (Modeling flavour + e4 tools; Windows7/32bit) I am using the Wizard for creating a New "Eclipse 4 Application Project".
If I then select the generated Product (*.product) and click on Run As.. Eclipse Application, the launch fails.
From the log I see that the plug-in "org.w3c.dom.events" was not included in the product.
Adding it manually to the launch resolves the problem, but wizard needs to be fixed in next releases.
Thank you all for the great job on this new platform!

Vincenzo Caselli
RCP Vision

[Updated on: Fri, 14 September 2012 16:47]

Report message to a moderator

Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #913084 is a reply to message #913043] Fri, 14 September 2012 18:43 Go to previous messageGo to next message
Sopot Cela is currently offline Sopot CelaFriend
Messages: 597
Registered: December 2010
Senior Member

Ciao Vincenzo,

Can you please provide your e4 tools build id? I've been addind and fixing some stuff lately on the tooling but I don't remember having removed the dom.events. If I try with the tools from the last stable build it works fine. Can you try that with a clean workspace?

Also you can try the latest nightly here which has some enhancments and fixes : http://build.eclipse.org/eclipse/e4/build/e4/downloads/drops/4.0.0/I20120911-1511/repository

Any feedback would be great.
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #913173 is a reply to message #913084] Fri, 14 September 2012 23:07 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
Hi Sopot,
my build Id is:

Quote:
Eclipse Modeling Tools
Version: Juno Release
Build id: 20120620-1657


Also tried with a new workspace. This night I also even happened to download the same build on a Linux machine (my original post was related to a test on Windows7): same problem.

I will try the latest nightly soon

Thank you
Vincenzo
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #913183 is a reply to message #913084] Fri, 14 September 2012 23:49 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
Sopot,
sorry, I realized that you need the build Id of the E4 Tools!

I was using
Eclipse e4 Tools (Incubation) 0.12.0.v20120529-2033-28Q1EVVFNTFtSK8WOZd51
from
Composite Artifact Repository - http://download.eclipse.org/e4/updates/0.12
which has the problem.

Now I tried the latest you suggested:
Eclipse e4 Tools (Incubation) 0.12.0.v20120910-1918
from
http://build.eclipse.org/eclipse/e4/build/e4/downloads/drops/4.0.0/I20120911-1511/repository/

and other dependences are missing, see image
index.php/fa/11501/0/
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #913277 is a reply to message #913183] Sat, 15 September 2012 06:14 Go to previous messageGo to next message
Sopot Cela is currently offline Sopot CelaFriend
Messages: 597
Registered: December 2010
Senior Member

Ok thanks. I will investigate this today and get back to you.
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915157 is a reply to message #913277] Sun, 16 September 2012 17:02 Go to previous messageGo to next message
Lars Vogel is currently offline Lars VogelFriend
Messages: 1049
Registered: July 2009
Senior Member

Starting a new Eclipse 4 projects works fine for me tool.

@Vincenzo: I would guess that you are using a target platform. Try without one.
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915238 is a reply to message #913043] Sun, 16 September 2012 22:15 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
@Lars
No, I'm not using a target platform.

@Sopot, @Lars, let me explain exactly what I do:

- download Eclipse Modeling Tools from http://www.eclipse.org/downloads/
(Test was made more than once, with same results, both on a pc with Windows 7/32bit and with another pc with Ubuntu 12.04/32bit)

- launch Juno with a brand new workspace
- from Update Site
http://download.eclipse.org/e4/updates/0.12
installed (from category "E4 Tools"):
* E4 CSS Spy (Incubation) 0.12.0.v20111206-1509-17B-7w3123161302752
* Eclipse e4 Tools (Incubation) 0.12.0.v20120529-2033-28Q1EVVFNTFtSK8WOZd51
- launch Wizard New "Eclipse 4 Application Project", giving just a project name and leaving all other settings as default
- at the end of the wizard, select the .product, right-click, Run As.. Eclipse Application
- here I got an error popup and the console show the stack trace below
- at this point I open the launch configuration, go to "Plug-ins" tab, press "Validate Plug-ins" and there I see that "org.w3c.dom.events" is missing
- in fact, adding manually this plug-in to the launch allows both a successfull plug-in validation and the succesful start of the application.


Is my E4 Tools update procedure right (Update site, feature to install)?



!SESSION 2012-09-16 23:59:33.632 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_33
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: -product com.rcpvision.e4.product
Command-line arguments: -product com.rcpvision.e4.product -data E:\IDE\Eclipse_4.2_Juno\Juno_4.2_Modeling_Tutorial\wrk/../runtime-com.rcpvision.e4.product -dev file:E:/IDE/Eclipse_4.2_Juno/Juno_4.2_Modeling_Tutorial/wrk/.metadata/.plugins/org.eclipse.pde.core/com.rcpvision.e4.product/dev.properties -os win32 -ws win32 -arch x86 -consoleLog

!ENTRY org.eclipse.equinox.app 0 0 2012-09-16 23:59:34.852
!MESSAGE Product com.rcpvision.e4.product could not be found.

!ENTRY org.eclipse.osgi 2 0 2012-09-16 23:59:34.873
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.873
!MESSAGE Bundle initial@reference:file:plugins/org.w3c.dom.svg_1.1.0.v201011041433.jar was not resolved.
!SUBENTRY 2 org.w3c.dom.svg 2 0 2012-09-16 23:59:34.878
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.878
!MESSAGE Bundle initial@reference:file:plugins/org.w3c.dom.smil_1.0.1.v200903091627.jar was not resolved.
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.878
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.878
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".

!ENTRY org.eclipse.osgi 2 0 2012-09-16 23:59:34.883
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.883
!MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [9] was not resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.w3c.dom.svg_[1.1.0,1.3.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.883
!MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.2.v20120523-1955 [11] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.883
!MESSAGE Bundle org.eclipse.e4.ui.workbench.renderers.swt_0.10.1.v20120523-1955 [15] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.883
!MESSAGE Bundle com.rcpvision.e4_1.0.0.qualifier [19] was not resolved.
!SUBENTRY 2 com.rcpvision.e4 2 0 2012-09-16 23:59:34.883
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.10.1.
!SUBENTRY 2 com.rcpvision.e4 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.10.1.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.888
!MESSAGE Bundle org.eclipse.e4.ui.css.core_0.10.1.v20120523-1955 [20] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.888
!MESSAGE Bundle org.w3c.dom.svg_1.1.0.v201011041433 [26] was not resolved.
!SUBENTRY 2 org.w3c.dom.svg 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.w3c.dom.smil_[1.0.0,1.1.0).
!SUBENTRY 2 org.w3c.dom.svg 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.888
!MESSAGE Bundle org.w3c.dom.smil_1.0.1.v200903091627 [32] was not resolved.
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.888
!MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.10.1.v20120523-1955 [51] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.888
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.10.1.v20120525-2014 [57] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.888
!MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.

!ENTRY org.eclipse.osgi 2 0 2012-09-16 23:59:34.908
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.913
!MESSAGE Bundle initial@reference:file:plugins/org.w3c.dom.svg_1.1.0.v201011041433.jar was not resolved.
!SUBENTRY 2 org.w3c.dom.svg 2 0 2012-09-16 23:59:34.913
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.918
!MESSAGE Bundle initial@reference:file:plugins/org.w3c.dom.smil_1.0.1.v200903091627.jar was not resolved.
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.918
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.918
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".

!ENTRY org.eclipse.osgi 2 0 2012-09-16 23:59:34.923
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.923
!MESSAGE Bundle org.apache.batik.css_1.6.0.v201011041432 [9] was not resolved.
!SUBENTRY 2 org.apache.batik.css 2 0 2012-09-16 23:59:34.923
!MESSAGE Missing required bundle org.w3c.dom.svg_[1.1.0,1.3.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.eclipse.e4.ui.css.swt.theme_0.9.2.v20120523-1955 [11] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.1.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt.theme 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.eclipse.e4.ui.workbench.renderers.swt_0.10.1.v20120523-1955 [15] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.renderers.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle com.rcpvision.e4_1.0.0.qualifier [19] was not resolved.
!SUBENTRY 2 com.rcpvision.e4 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.workbench.swt_0.10.1.
!SUBENTRY 2 com.rcpvision.e4 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.10.1.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.eclipse.e4.ui.css.core_0.10.1.v20120523-1955 [20] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.core 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.apache.batik.css_[1.6.0,1.7.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.w3c.dom.svg_1.1.0.v201011041433 [26] was not resolved.
!SUBENTRY 2 org.w3c.dom.svg 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.w3c.dom.smil_[1.0.0,1.1.0).
!SUBENTRY 2 org.w3c.dom.svg 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.w3c.dom.smil_1.0.1.v200903091627 [32] was not resolved.
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing imported package org.w3c.dom.events_[3.0.0,4.0.0).
!SUBENTRY 2 org.w3c.dom.smil 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=JavaSE)(version=1.3))(&(osgi.ee=CDC/Foundation)(version=1.0)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.eclipse.e4.ui.css.swt_0.10.1.v20120523-1955 [51] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.css.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-09-16 23:59:34.928
!MESSAGE Bundle org.eclipse.e4.ui.workbench.swt_0.10.1.v20120525-2014 [57] was not resolved.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.core_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing required bundle org.eclipse.e4.ui.css.swt.theme_0.9.0.
!SUBENTRY 2 org.eclipse.e4.ui.workbench.swt 2 0 2012-09-16 23:59:34.928
!MESSAGE Missing imported package org.apache.batik.css.engine_1.6.0.

!ENTRY org.eclipse.osgi 4 0 2012-09-16 23:59:34.933
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
An error has occurred. See the log file
E:\IDE\Eclipse_4.2_Juno\Juno_4.2_Modeling_Tutorial\wrk\.metadata\.plugins\org.eclipse.pde.core\com.rcpvision.e4.product\1347832773857.log.

Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915240 is a reply to message #915238] Sun, 16 September 2012 22:23 Go to previous messageGo to next message
Lars Vogel is currently offline Lars VogelFriend
Messages: 1049
Registered: July 2009
Senior Member

@Vincenzo - Try downloading the Eclipse RCP and RAP package, your modeling IDE target seems to be missing required plug-ins.
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915250 is a reply to message #915240] Sun, 16 September 2012 23:06 Go to previous messageGo to next message
Sopot Cela is currently offline Sopot CelaFriend
Messages: 597
Registered: December 2010
Senior Member

Or just the SDK (classic) distribution.

However I'll download tomorrow the Modelling package and try to reproduce this.
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915252 is a reply to message #915240] Sun, 16 September 2012 23:10 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
@Lars: thank you, your tips are always great! With that version it works!
Just a note: I see some errors in the Error Log view ("Unhandled event loop exception" 3 times) which do not appear with Eclipse Modeling Tool package.

However please note that the plug-in required (org.w3c.dom.events) is indeed included in Eclipse Modeling Tool package; in fact just fixing the launch solves the problem.

Shouldn't this however be considered a bug for the "Eclipse Modeling Tool" package?
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915254 is a reply to message #915252] Sun, 16 September 2012 23:17 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
@Sopot: thank you!
Do you also noticed those "Unhandled event loop exception" errors in Log View (they shows at the end of the wizard, seemingly a random number of them: from 1 to 4 in my trials)?
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915270 is a reply to message #915254] Mon, 17 September 2012 00:20 Go to previous messageGo to next message
Sopot Cela is currently offline Sopot CelaFriend
Messages: 597
Registered: December 2010
Senior Member

Doubleclick one of those error log entries and see if there is any detail on where it happens.
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915414 is a reply to message #915270] Mon, 17 September 2012 08:25 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 100
Registered: January 2012
Senior Member
Sopot,
here is the stack trace correspondent to "Unhandled event loop exception" (in case of multiple errors the stack trace seems identical for each one):

org.eclipse.swt.SWTException: Failed to execute runnable (org.eclipse.swt.SWTException: Widget is disposed)
at org.eclipse.swt.SWT.error(SWT.java:4361)
at org.eclipse.swt.SWT.error(SWT.java:4276)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:138)
at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4144)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3761)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1022)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:916)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:86)
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:585)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:540)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:124)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
Caused by: org.eclipse.swt.SWTException: Widget is disposed
at org.eclipse.swt.SWT.error(SWT.java:4361)
at org.eclipse.swt.SWT.error(SWT.java:4276)
at org.eclipse.swt.SWT.error(SWT.java:4247)
at org.eclipse.swt.widgets.Widget.error(Widget.java:468)
at org.eclipse.swt.widgets.Widget.checkWidget(Widget.java:340)
at org.eclipse.swt.widgets.Text.setText(Text.java:2218)
at org.eclipse.pde.internal.ui.parts.FormEntry.setValue(FormEntry.java:298)
at org.eclipse.pde.internal.ui.parts.FormEntry.setValue(FormEntry.java:311)
at org.eclipse.pde.internal.ui.editor.plugin.PluginGeneralInfoSection.refresh(PluginGeneralInfoSection.java:177)
at org.eclipse.ui.forms.ManagedForm.doRefresh(ManagedForm.java:206)
at org.eclipse.ui.forms.ManagedForm.access$0(ManagedForm.java:201)
at org.eclipse.ui.forms.ManagedForm$1.run(ManagedForm.java:195)
at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:135)
... 23 more
Re: Wizard "Eclipse 4 Application Project" misses to add "org.w3c.dom.events" pl [message #915427 is a reply to message #915414] Mon, 17 September 2012 08:49 Go to previous message
Sopot Cela is currently offline Sopot CelaFriend
Messages: 597
Registered: December 2010
Senior Member

Yeah IIRC this Widget is disposed exception is being tracked by the platform/ui guys.
Previous Topic:New Parts are not showed correctly
Next Topic:[E4AP] Hiding Ui Elements
Goto Forum:
  


Current Time: Sat Dec 20 19:39:47 GMT 2014

Powered by FUDForum. Page generated in 0.02408 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software